#
# spec file for package python-crypto (Version 2.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-crypto
BuildRequires:  python-devel
BuildRequires:  gmp-devel
Url:            http://www.dlitz.net/software/pycrypto/
License:        Python License
Group:          Development/Libraries/Python
Version:        2.3
Release:        2.1
Summary:        Cryptographic Algorithms and Protocols for Python
Source:         pycrypto-%{version}.tar.bz2
#Patch0:         pycrypto-2.1.0-ssize.patch
Patch1:         python-crypto-remove_bogus_shebang.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
The package contains: * Hash functions: MD2, MD4, RIPEMD, SHA256.

* Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES,
   Triple-DES, IDEA, RC5.

* Stream encryption algorithms: ARC4, simple XOR.

* Public-key algorithms: RSA, DSA, ElGamal, qNEW.

* Protocols: All-or-nothing transforms, chaffing/winnowing.

* Miscellaneous: RFC1751 module for converting 128-key keys into a
   set of English words, primality testing.

* Some demo programs (currently all quite old and outdated).

%prep
%setup -n "pycrypto-%{version}"
#patch0
%patch1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%__python setup.py build

%install
%__python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%check
%__python setup.py test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ACKS ChangeLog COPYRIGHT README TODO
%changelog
* Tue Nov  2 2010 pascal.bleser@opensuse.org
- require gmp-devel to enable fastmath features
- update to 2.3.0:
  * fix NameError when attempting to use deprecated getRandomNumber() function
  * _slowmath: Compute RSA u parameter when it's not given to RSA.construct; this makes _slowmath behave the same as _fastmath in this regard
  * make RSA.generate raise a more user-friendly exception message when the user tries to generate a bogus-length key
- changes from 2.2.0:
  * deprecated Crypto.Util.number.getRandomNumber(), which had confusing semantics; it's been replaced by getRandomNBitInteger and getRandomInteger
  * better isPrime() and getPrime() implementations that do a real Rabin-Miller probabilistic primality test (not the phony test we did before with fixed bases)
  * getStrongPrime() implementation for generating RSA primes
  * support for importing and exporting RSA keys in DER and PEM format
  * fix PyCrypto when floor division (python -Qnew) is enabled
* Thu Mar 18 2010 matejcik@suse.cz
- update to 2.1.0 - newly maintained at upstream
  * many bugfixes, minor API updates and deprecations
    (see included ChangeLog for details)
  * reimplementation of several algorithms to alleviate
    copyright concerns
  * documentation now in rst format, epydoc config supplied
  * integrated test suite
- enabled test suite in %%check stage
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Mar 10 2009 matejcik@suse.cz
- fixed buffer overflow in ARC2 module (CVE-2009-0544,
  bnc#483345 )
* Thu Oct 19 2006 jmatejek@suse.cz
- minor fixes for better 64bit PEP353 compatibility
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Mon Oct 10 2005 jmatejek@suse.cz
- update to 2.0.1
* Tue Feb  8 2005 tcrhak@suse.cz
- created new package
